Package com.xebialabs.deployit.plugin.api.udm.artifact

# Class EmbeddedDeployableArtifact

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.deployit.plugin.api.udm.base.BaseEmbeddedDeployable
com.xebialabs.deployit.plugin.api.udm.artifact.EmbeddedDeployableArtifact

All Implemented Interfaces:
  `Artifact`, `SourceArtifact`, `ConfigurationItem`, `EmbeddedDeployable`, `Serializable`, `Comparable<BaseConfigurationItem>`

Direct Known Subclasses:
  `BaseProvisionerArtifact`

@Metadata(virtual=true, inspectable=false, root=NESTED) public class EmbeddedDeployableArtifact extends BaseEmbeddedDeployable implements SourceArtifact

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `SCAN_PLACEHOLDERS_PROPERTY_NAME`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.artifact.SourceArtifact

  `CHECKSUM_PROPERTY_NAME, FILE_URI_PROPERTY_NAME, IS_RESCANNED_PROPERTY_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmbeddedDeployableArtifact()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getChecksum()`
  Returns the (calculated or user-defined) checksum of the artifact file.
  `com.xebialabs.deployit.plugin.credentials.Credentials`
  `getCredentials()`
  Returns the credentials for artifact location.
  `String`
  `getDelimiters()`
  `String`
  `getExcludeFileNamesRegex()`
  `com.xebialabs.overthere.OverthereFile`
  `getFile()`
  `Map<String,String>`
  `getFileEncodings()`
  This will return a map that specifies which files map to which encodings.
  `String`
  `getFileUri()`
  Returns the artifact location which can be resolved using an artifact resolver.
  `Set<String>`
  `getPlaceholders()`
  `com.xebialabs.deployit.plugin.proxy.ProxySettings`
  `getProxySettings()`
  Returns the proxy settings for artifact location.
  `String`
  `getTextFileNamesRegex()`
  `boolean`
  `isScanPlaceholders()`
  `void`
  `setChecksum(String checksum)`
  `void`
  `setDelimiters(String delimiters)`
  `void`
  `setExcludeFileNamesRegex(String excludeFileNamesRegex)`
  `void`
  `setFile(com.xebialabs.overthere.OverthereFile file)`
  `void`
  `setPlaceholders(Set<String> placeholders)`
  `void`
  `setProxySettings(com.xebialabs.deployit.plugin.proxy.ProxySettings proxySettings)`
  `void`
  `setScanPlaceholders(boolean scanPlaceholders)`
  `void`
  `setTextFileNamesRegex(String textFileNamesRegex)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

- ## Field Details

  - ### SCAN_PLACEHOLDERS_PROPERTY_NAME

    public static final String SCAN_PLACEHOLDERS_PROPERTY_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EmbeddedDeployableArtifact

    public EmbeddedDeployableArtifact()

- ## Method Details

  - ### getFile

    public com.xebialabs.overthere.OverthereFile getFile()
    Specified by:
      `getFile` in interface `Artifact`
    Returns:
      A representation of a file that can be access through an Overthere connection.

  - ### setFile

    public void setFile(com.xebialabs.overthere.OverthereFile file)
    Specified by:
      `setFile` in interface `Artifact`
    Parameters:
      `file` - A representation of a file that can be access through an Overthere connection.

  - ### isScanPlaceholders

    public boolean isScanPlaceholders()

  - ### setScanPlaceholders

    public void setScanPlaceholders(boolean scanPlaceholders)

  - ### getPlaceholders

    public Set<String> getPlaceholders()
    Specified by:
      `getPlaceholders` in interface `SourceArtifact`

  - ### setPlaceholders

    public void setPlaceholders(Set<String> placeholders)
    Specified by:
      `setPlaceholders` in interface `SourceArtifact`

  - ### getTextFileNamesRegex

    public String getTextFileNamesRegex()
    Specified by:
      `getTextFileNamesRegex` in interface `SourceArtifact`

  - ### setTextFileNamesRegex

    public void setTextFileNamesRegex(String textFileNamesRegex)

  - ### getExcludeFileNamesRegex

    public String getExcludeFileNamesRegex()
    Specified by:
      `getExcludeFileNamesRegex` in interface `SourceArtifact`
    Returns:
      regex that captures all the files that should not be scanned.

  - ### getFileEncodings

    public Map<String,String> getFileEncodings()
    Description copied from interface: `SourceArtifact`
    This will return a map that specifies which files map to which encodings. By default XL Deploy will use UTF-8 for replacing placeholders in files, unless this property contains a regex as key which matches the path of the file within the artifact. If a key matches, XL Deploy will use the attached value in the map as encoding for replacing placeholders in the file.
    Specified by:
      `getFileEncodings` in interface `SourceArtifact`
    Returns:
      map that maps a regex to a target encoding for a file.

  - ### getFileUri

    public String getFileUri()
    Description copied from interface: `SourceArtifact`
    Returns the artifact location which can be resolved using an artifact resolver.
    Specified by:
      `getFileUri` in interface `SourceArtifact`

  - ### getCredentials

    public com.xebialabs.deployit.plugin.credentials.Credentials getCredentials()
    Description copied from interface: `SourceArtifact`
    Returns the credentials for artifact location.
    Specified by:
      `getCredentials` in interface `SourceArtifact`

  - ### getProxySettings

    public com.xebialabs.deployit.plugin.proxy.ProxySettings getProxySettings()
    Description copied from interface: `SourceArtifact`
    Returns the proxy settings for artifact location.
    Specified by:
      `getProxySettings` in interface `SourceArtifact`

  - ### setProxySettings

    public void setProxySettings(com.xebialabs.deployit.plugin.proxy.ProxySettings proxySettings)

  - ### setExcludeFileNamesRegex

    public void setExcludeFileNamesRegex(String excludeFileNamesRegex)

  - ### getChecksum

    public String getChecksum()
    Description copied from interface: `SourceArtifact`
    Returns the (calculated or user-defined) checksum of the artifact file.
    Specified by:
      `getChecksum` in interface `SourceArtifact`

  - ### setChecksum

    public void setChecksum(String checksum)

  - ### getDelimiters

    public String getDelimiters()

  - ### setDelimiters

    public void setDelimiters(String delimiters)